# Change an existing provider's education info Change an existing education info associated with the specified provider. Endpoint: PATCH /providers/{providerId}/info/educations/{id} Version: 26.2.0.4309 Security: Bearer ## Path parameters: - `providerId` (string, required) - `id` (string, required) ## Request fields (application/json): - `ecfmgNumber` (string) Educational Commission for Foreign Medical Graduates number - `ecfmgIssueDate` (string) Timestamp when the certificate was issued - `graduateType` (string) Degree program type Enum: "Undergraduate", "Professional", "FifthPathway" - `schoolName` (string) Name of school - `schoolCode` (string) School code as defined by the [National Student Clearinghouse](https://docs.studentclearinghouse.org/vs/v/json-field-descriptions/appendix-school-codes) - `branchCode` (string) Branch code as defined by the [National Student Clearinghouse](https://docs.studentclearinghouse.org/vs/v/json-field-descriptions/appendix-branch-code-values) - `startDate` (string) Timestamp when this provider started their degree program - `endDate` (string) Timestamp when this provider finished their degree program - `completed` (boolean) Identifies if this provider completed their graduate education at this school - `degree` (string) Degree awarded ## Response 200 fields (application/json): - `lastUpdatedAt` (string) The date and time when the object was created or modified. - `id` (string) Unique identifier associated with this education - `ecfmgNumber` (string) Educational Commission for Foreign Medical Graduates number - `ecfmgIssueDate` (string) Timestamp when the certificate was issued - `graduateType` (string) Degree program type Enum: "Undergraduate", "Professional", "FifthPathway" - `schoolName` (string) Name of school - `schoolCode` (string) School code as defined by the [National Student Clearinghouse](https://docs.studentclearinghouse.org/vs/v/json-field-descriptions/appendix-school-codes) - `branchCode` (string) Branch code as defined by the [National Student Clearinghouse](https://docs.studentclearinghouse.org/vs/v/json-field-descriptions/appendix-branch-code-values) - `startDate` (string) Timestamp when this provider started their degree program - `endDate` (string) Timestamp when this provider finished their degree program - `completed` (boolean) Identifies if this provider completed their graduate education at this school - `degree` (string) Degree awarded ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields